%define Product     Plone
%define name        zope-%{Product}
%define version     3.0.6
%define release     %mkrel 1
%define zope_minver 2.10.5

%define zope_home      %{_prefix}/lib/zope
%define software_home  %{zope_home}/lib/python

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    A user friendly and powerful open source Content Management System
License:    GPL
Group:      System/Servers
URL:        http://plone.org/
Source:     http://plone.googlecode.com/files/%{Product}-%{version}.tar.gz
BuildArch:  noarch
Requires:   python2.4-wicked
Requires:   python2.4-imaging
Requires:   python2.4-elementtree
Requires:   zope >= %{zope_minver}
Obsoletes:  zope-AdvancedQuery
Provides:   zope-AdvancedQuery
Obsoletes:  zope-Archetypes
Provides:   zope-Archetypes
Obsoletes:  zope-ATContentTypes
Provides:   zope-ATContentTypes
Obsoletes:  zope-ATReferenceBrowserWidget
Provides:   zope-ATReferenceBrowserWidget
Obsoletes:  zope-CMF
Provides:   zope-CMF
Obsoletes:  zope-CMFDiffTool
Provides:   zope-CMFDiffTool
Obsoletes:  zope-CMFDynamicViewFTI
Provides:   zope-CMFDynamicViewFTI
Obsoletes:  zope-CMFEditions
Provides:   zope-CMFEditions
Obsoletes:  zope-CMFFormController
Provides:   zope-CMFFormController
Obsoletes:  zope-CMFPlacefulWorkflow
Provides:   zope-CMFPlacefulWorkflow
Obsoletes:  zope-CMFQuickInstallerTool
Provides:   zope-CMFQuickInstallerTool
Obsoletes:  zope-CMFTestCase
Provides:   zope-CMFTestCase
Obsoletes:  zope-ExtendedPathIndex
Provides:   zope-ExtendedPathIndex
Obsoletes:  zope-CMFTestCase
Provides:   zope-CMFTestCase
Obsoletes:  zope-ExternalEditor
Provides:   zope-ExternalEditor
Obsoletes:  zope-GenericSetup
Provides:   zope-GenericSetup
Obsoletes:  zope-GroupUserFolder
Provides:   zope-GroupUserFolder
Obsoletes:  zope-kupu
Provides:   zope-kupu
Obsoletes:  zope-NuPlone
Provides:   zope-NuPlone
Obsoletes:  zope-PasswordResetTool
Provides:   zope-PasswordResetTool
Obsoletes:  zope-PlacelessTranslationService
Provides:   zope-PlacelessTranslationService
Obsoletes:  zope-PloneBase
Provides:   zope-PloneBase
Obsoletes:  zope-PloneLanguageTool
Provides:   zope-PloneLanguageTool
Obsoletes:  zope-PlonePAS
Provides:   zope-PlonePAS
Obsoletes:  zope-PloneTestCase
Provides:   zope-PloneTestCase
Obsoletes:  zope-PloneTranslations
Provides:   zope-PloneTranslations
Obsoletes:  zope-PluggableAuthService
Provides:   zope-PluggableAuthService
Obsoletes:  zope-PluginRegistry
Provides:   zope-PluginRegistry
Obsoletes:  zope-ResourceRegistries
Provides:   zope-ResourceRegistries
Obsoletes:  zope-SecureMailHost
Provides:   zope-SecureMailHost
Obsoletes:  zope-statusmessages
Provides:   zope-statusmessages
Obsoletes:  zope-ZopeVersionControl
Provides:   zope-ZopeVersionControl
Obsoletes:  zope-CMFPlone
Provides:   zope-CMFPlone
Suggests:   zope-PloneErrorReporting >= 1.0
Suggests:   zope-CacheFu
BuildRequires: gettext
%if %{mdkversion} <= 200800
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
%endif

%description
Plone is powerful and flexible. It is ideal as an intranet and
extranet server, as a document publishing system, a portal server and
as a groupware tool for collaboration between separately located
entities.

Plone is easy to use. The Plone Team includes usability experts who
have made Plone easy and attractive for content managers to add,
update, and maintain content.

Plone is international. The Plone interface has been translated into
over 40 languages, and tools exist for managing multilingual content.

Plone is standard. Plone carefully follows standards for usability and
accessibility. Plone pages are compliant with US Section 508, and the
W3C's AA rating for accessibility, in addition to using best-practice
web standards like XHTML and CSS.

Plone is Open Source. Plone is licensed under the GNU General Public
License, the same license Linux uses. This gives you the right to use
Plone without a license fee, and to improve upon the product.

Plone is supported. There are close to a hundred developers in the
Plone Development Team around the world, and a multitude of companies
specializing in Plone development and support.

Plone is extensible. There are many add-on products for Plone that add
new features and content types. In addition, Plone can be scripted
using web standard solutions and Open Source languages.

Plone is technology neutral. Plone can interoperate with most
relational database systems, open source and commercial, and runs on a
vast array of platforms, including Linux, Windows, Mac OS X, Solaris
and BSD.

Plone is protected. The nonprofit Plone Foundation was formed in 2004
to promote the use of Plone around the world and protect the Plone IP
and trademarks.

Plone is built using Zope, an object oriented application server. The
language that drives Zope and Plone is Python - the agile language
preferred by Google, NASA, Industrial Light and Magic and many
others. Why? Because Python offers unprecedented programmer
productivity.

%prep
%setup -q -n %{Product}-%{version}

find . -type d \( -name CVS -o -name .svn \) -print0 | xargs -0 rm -rf
find . -type f \( -name .cvsignore -name '*~' \) -print0 | xargs -0 rm -f

%build
# nothing to do here

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products


# convert .po files
for file_po in `find ./ -name "*.po" -type f`; do
    file_dir=${file_po#./}
    file_dir=${file_dir%/*}
    file_mo=${file_po##*/}
    file_mo=${file_mo%.po}.mo
    echo "Converting $file_po to $file_dir/$file_mo..."
    msgfmt -o $file_dir/$file_mo $file_po --no-hash || :
done

%{__cp} -a Products/* %{buildroot}%{software_home}/Products/
%{__cp} -a lib/python/* %{buildroot}%{software_home}

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-,root,root)
%doc INSTALL.txt README.txt RELEASENOTES.txt
%{software_home}/Products/*
%{software_home}/archetypes
%{software_home}/five
%{software_home}/kss
%{software_home}/plone
%{software_home}/wicked


%changelog
* Sat Feb 23 2008 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.6-1mdv2008.1
+ Revision: 174083
- Release 3.0.6.
- Removed Patch0 (merged upstream).

* Wed Feb 13 2008 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.5-2mdv2008.1
+ Revision: 167164
- Fix plone.app.i18n to get zope-LinguaPlone working.

* Sat Jan 26 2008 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.5-1mdv2008.1
+ Revision: 158359
- Release 3.0.5.

* Thu Dec 27 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.4-5mdv2008.1
+ Revision: 138439
- Provide .mo translation files.

* Wed Dec 26 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.4-4mdv2008.1
+ Revision: 138123
- Provide Plone as monolithic instead of modular.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.4-3mdv2008.1
+ Revision: 121710
- Fix BuildRequires for PasswordResetTool.

* Sun Dec 16 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.4-2mdv2008.1
+ Revision: 120663
- Fix BuildRequires for 3.0.4.

* Sun Dec 16 2007 Giuseppe Ghibò <ghibo@mandriva.com> 3.0.4-1mdv2008.1
+ Revision: 120596
- Added Provides: zope-CMFPlone.
- Release 3.0.4.

* Sun Sep 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-1mdv2008.0
+ Revision: 88784
- renamed to zope-Plone
- package renaming
- new version

